# Interface ISourceObject

public interface ISourceObject
This interface indicates that a model object is created by parsing an editable source file and can be traced back to a particular location in the file.

Since:
  2.0
Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

## Method Summary

Modifier and Type
Method
Description
`int`
`getStartLine()`
Returns the line in the source file where the source representation of this object starts, or -1 if not known.
`int`
`getStopLine()`
Returns the line in the source file where the source representation of this object stops, or -1 if not known.

## Method Details

### getStartLine

int getStartLine()
Returns the line in the source file where the source representation of this object starts, or -1 if not known.

Returns:
  the first line in the source file

### getStopLine

int getStopLine()
Returns the line in the source file where the source representation of this object stops, or -1 if not known.

Returns:
  the last line in the source file